@import url('https://fonts.googleapis.com/css2?family=Dekko&display=swap');

:root {
  --primary-color: #0c0a5d ;
  --secondary-color: #0c0a5d;
  --text-dark: #0c0a5d;
  --text-light: black;
  --extra-light: #f5f6f8;
  --white: #ffffff;
  --max-width: 1200px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

.section__subheader {
  font-size: 1.2rem;
  font-weight: 500;
  color: var(--primary-color);
  text-align: center;
}

.section__header {
  font-size: 2.5rem;
  font-weight: 700;
  color: var(--secondary-color);
  text-align: center;
}

.btn {
  padding: 0.625rem 1.5rem;
  outline: none;
  border: none;
  font-size: 1rem;
  color: var(--white);
  background-color: var(--primary-color);
  border: 2px solid var(--primary-color);
  border-radius: 5rem;
  transition: 0.3s;
  cursor: pointer;
}

.btn:hover {
  color: var(--secondary-color);
  background-color: transparent;
  box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.1);
}

img {
  display: flex;
  width: 100%;
}

a {
  text-decoration: none;
  transition: 0.3s;
}

ul {
  list-style: none;
}

html,
body {
  scroll-behavior: smooth;
}

body {
   font-family: 'Dekko', sans-serif;
}

nav {
  position: fixed;
  isolation: isolate;
  width: 100%;
  z-index: 9;
}

.nav__header {
  padding: 0.75rem 1rem;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--primary-color);
}

.nav__logo a {
  font-size: 1.25rem;
  font-weight: 600;
  color: var(--white);
}

.nav__menu__btn {
  font-size: 1.5rem;
  color: var(--white);
  cursor: pointer;
}

.nav__links {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 2rem;
  padding: 2rem;
  background-color: var(--primary-color);
  transition: transform 0.5s;
  z-index: -1;
}

.nav__links.open {
  transform: translateY(100%);
}

.nav__links a {
  font-weight: 600;
  color: var(--white);
}

.nav__btns {
  display: none;
}

header {
  background-color: var(--extra-light);
}

.header__container {
  padding-block: 5rem 0;
  display: grid;
  gap: 2rem;
  overflow: hidden;
}

.header__image img {
  max-width: 350px;
  margin-inline: auto;
  margin-top: 2rem;
}

.header__content h2 {
  font-size: 1.5rem;
  font-weight: 500;
  color: var(--primary-color);
  text-align: center;
}

.header__content h1 {
  margin-bottom: 1rem;
  font-size: 4rem;
  font-weight: 800;
  color: var(--secondary-color);
  line-height: 5rem;
  text-align: center;
}

.header__content h3 {
  margin-bottom: 1rem;
  font-display: 1.25rem;
  font-weight: 600;
  color: var(--secondary-color);
  text-align: center;
}

.header__content p {
  margin-bottom: 2rem;
  color: var(--text-light);
  text-align: center;
  line-height: 1.75rem;
}

.header__btns {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.header__btns .btn:nth-child(2) {
  color: var(--secondary-color);
  background-color: transparent;
}

.intro__container {
  display: grid;
  gap: 2rem;
  overflow: hidden;
}

.intro__image {
  position: relative;
  isolation: isolate;
  max-width: 350px;
  margin-inline: auto;
  padding: 4px;
  overflow: hidden;
}

.intro__image::before {
  position: absolute;
  content: "";
  height: 200%;
  width: 10rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-35deg);
  transform-origin: center center;
  background-color: var(--primary-color);
  z-index: -1;
}

.intro__image img {
  background-color: var(--white);
}

.intro__content :is(.section__subheader, .section__header) {
  text-align: left;
}

.intro__description {
  margin-block: 1rem 2rem;
  color: var(--text-light);
  line-height: 1.75rem;
}

.intro__grid {
  margin-bottom: 2rem;
  display: grid;
  grid-template-columns: max-content max-content 1fr;
  gap: 0.5rem 1rem;
}

.intro__grid h5 {
  display: flex;
  align-items: center;
  gap: 1rem;
  font-size: 1rem;
  font-weight: 500;
  color: var(--text-dark);
}

.intro__grid h5 span {
  font-size: 1.2rem;
  color: var(--primary-color);
}

.intro__grid > span {
  color: var(--text-dark);
}

.intro__grid p {
  color: var(--text-light);
}

.intro__content h4 {
  margin-bottom: 0.5rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--secondary-color);
}

.intro__flex {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1rem 2rem;
  flex-wrap: wrap;
}

.intro__flex div {
  display: flex;
  align-items: center;
  gap: 10px;
  font-weight: 500;
  color: var(--secondary-color);
}

.intro__flex span {
  font-size: 1.5rem;
  color: var(--primary-color);
}

.choose {
  background-color: var(--extra-light);
}

.choose__grid {
  max-width: 900px;
  margin-inline: auto;
  margin-top: 4rem;
  display: grid;
  gap: 1rem 2rem;
}

.choose__card div {
  margin-bottom: 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
}

.choose__card h4 {
  font-size: 1rem;
  font-weight: 600;
  color: var(--secondary-color);
}

.choose__progress {
  position: relative;
  isolation: isolate;
  height: 10px;
  background-color: rgba(0, 0, 0, 0.2);
  border-radius: 1rem;
  overflow: hidden;
}

.choose__progress::before {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  height: 100%;
  background-color: var(--primary-color);
  animation: progress-fill 2s forwards;
}

@keyframes progress-fill {
  0% {
    width: 0;
  }
  100% {
    width: var(--progress);
  }
}

.journey__grid {
  max-width: 900px;
  margin-inline: auto;
  margin-top: 4rem;
  display: grid;
  gap: 2rem;
}

.journey__grid > div {
  display: grid;
  gap: 1rem;
}

.journey__grid__header {
  display: flex;
  align-items: center;
  gap: 1rem;
  font-size: 1.4rem;
  font-weight: 600;
  color: var(--secondary-color);
}

.journey__card {
  display: flex;
  align-items: flex-start;
  gap: 1rem;
}

.journey__card > span {
  position: relative;
  isolation: isolate;
  padding-inline: 2px;
  height: 100%;
  font-size: 1.2rem;
  color: var(--primary-color);
}

.journey__card > span::before {
  position: absolute;
  content: "";
  height: 100%;
  width: 2px;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--primary-color);
}

.journey__card h4 {
  font-size: 1.1rem;
  font-weight: 600;
  color: var(--text-dark);
}

.journey__card h5 {
  margin-bottom: 1rem;
  font-size: 1rem;
  font-weight: 500;
  color: var(--text-light);
}

.journey__card p {
  color: var(--text-light);
}

.service__grid {
  margin-top: 4rem;
  display: grid;
  gap: 4rem 1rem;
}

.service__card {
  padding-block: 0 1.5rem;
  padding-inline: 1.5rem;
  border: 2px solid rgba(0, 0, 0, 0.1);
  border-top-right-radius: 3rem;
  transition: 0.3s;
}

.service__card:hover {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.service__card span {
  display: inline-block;
  padding: 6px 14px;
  font-size: 2rem;
  color: var(--white);
  background-color: var(--primary-color);
  transform: translateY(-50%);
  border-radius: 5px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
  transition: 0.3s;
}

.service__card:hover span {
  color: var(--primary-color);
  background-color: var(--white);
}

.service__card h4 {
  margin-bottom: 0.5rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--secondary-color);
  transition: 0.3s;
}

.service__card p {
  color: var(--text-light);
  line-height: 1.75rem;
  transition: 0.3s;
}

.service__card:hover :is(h4, p) {
  color: var(--white);
}

.portfolio {
  background-color: var(--extra-light);
}

.portfolio__nav {
  margin-block: 2rem;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1rem;
}

.portfolio__nav .btn {
  padding: 1rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--secondary-color);
  background-color: transparent;
  border: none;
}

.portfolio__nav .btn.mixitup-control-active {
  color: var(--primary-color);
}

.portfolio__grid {
  display: grid;
  gap: 1rem;
}

.portfolio__card img {
  border-radius: 10px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

.banner__container {
  display: grid;
  gap: 2rem;
  background: url("assets/banner-bg.png"), var(--primary-color);
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.banner__content {
  padding-block: 5rem 0;
  padding-inline: 1rem;
}

.banner__content .section__header {
  margin-bottom: 1rem;
  color: var(--white);
}

.banner__content p {
  margin-bottom: 1rem;
  color: var(--white);
  line-height: 1.75rem;
  text-align: center;
}

.banner__btn {
  display: flex;
  align-items: center;
  justify-content: center;
}

.banner__btn .btn {
  color: var(--primary-color);
  background-color: var(--white);
}

.banner__image {
  position: relative;
  isolation: isolate;
  height: 100%;
}

.swiper {
  padding-block: 4rem;
  width: 100%;
}

.swiper-slide {
  min-width: 400px;
}

.swiper-pagination-bullet {
  height: 10px;
  width: 10px;
}

.swiper-pagination-bullet-active {
  background-color: var(--primary-color);
}

.client__header {
  margin-bottom: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  flex-wrap: wrap;
}

.client__details {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.client__details img {
  max-width: 80px;
  border-radius: 100%;
  border: 2px solid var(--primary-color);
}

.client__details h4 {
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--secondary-color);
}

.client__details h5 {
  font-size: 1rem;
  font-weight: 400;
  color: var(--text-light);
}

.client__ratings span {
  font-size: 1.2rem;
  color: goldenrod;
}

.client__card p {
  color: var(--text-light);
  line-height: 1.75rem;
}

.blog {
  background-color: var(--extra-light);
}

.blog__grid {
  margin-top: 4rem;
  display: grid;
  gap: 2rem 1rem;
}

.blog__card {
  transition: 0.3s;
}

.blog__card:hover {
  background-color: var(--white);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

.blog__card div {
  padding: 1rem;
}

.blog__card p {
  font-weight: 500;
  color: var(--text-light);
}

.blog__card h4 {
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--secondary-color);
}

.footer__container {
  text-align: center;
}

.footer__container h4 {
  margin-bottom: 1rem;
  font-size: 3rem;
  font-weight: 700;
  color: var(--secondary-color);
}

.footer__socials {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  flex-wrap: wrap;
}

.footer__socials a {
  font-size: 1.5rem;
  color: var(--secondary-color);
}

.footer__socials a:hover {
  color: var(--primary-color);
}

.footer__bar {
  padding: 1rem;
  font-size: 1rem;
  color: var(--text-light);
  text-align: center;
}

@media (width > 540px) {
  .choose__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .journey__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .service__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .portfolio__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .blog__grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (width > 768px) {
  nav {
    position: static;
    padding: 2rem 1rem;
    max-width: var(--max-width);
    margin-inline: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
  }

  .nav__header {
    flex: 1;
    padding: 0;
    background-color: transparent;
  }

  .nav__logo a {
    font-size: 1.5rem;
    color: var(--secondary-color);
  }

  .nav__logo a span {
    color: var(--primary-color);
  }

  .nav__menu__btn {
    display: none;
  }

  .nav__links {
    position: static;
    width: fit-content;
    padding: 0;
    flex-direction: row;
    background-color: transparent;
    transform: none !important;
  }

  .nav__links a {
    color: var(--secondary-color);
  }

  .nav__links a:hover {
    color: var(--primary-color);
  }

  .nav__btns {
    flex: 1;
    display: flex;
    justify-content: flex-end;
  }

  .header__container {
    padding-block: 0;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .header__content :is(h2, h1, h3, p) {
    text-align: left;
  }

  .header__btns {
    justify-content: flex-start;
  }

  .intro__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .intro__grid {
    gap: 0.5rem 2rem;
  }

  .choose__grid {
    gap: 1rem 4rem;
  }

  .journey__grid {
    gap: 2rem 4rem;
  }

  .service__grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .portfolio__grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .banner__container {
    grid-template-columns:
      minmax(0, 1fr)
      minmax(0, calc(var(--max-width) / 2))
      minmax(0, calc(var(--max-width) / 2))
      minmax(0, 1fr);
    align-items: center;
  }

  .banner__content {
    padding-block: 5rem;
    grid-column: 2/3;
  }

  .banner__content :is(.section__header, p) {
    text-align: left;
  }

  .banner__btn {
    justify-content: flex-start;
  }

  .banner__image {
    grid-column: 3/5;
    overflow: hidden;
  }

  .banner__image img {
    position: absolute;
    bottom: 0;
    left: 0;
    width: unset;
    height: 100%;
  }

  .blog__grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (width > 1024px) {
  .service__grid {
    gap: 4rem 1.5rem;
  }

  .portfolio__grid {
    gap: 1.5em;
  }

  .blog__grid {
    gap: 1.5rem;
  }
}

body {
    margin: 0;
     font-family: 'Dekko', sans-serif;

    background: #f7fafc;
    color: #1a1a1a;
}

/* HEADER */
.top-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 18px 60px;
    background: white;
    box-shadow: 0 2px 6px rgba(0,0,0,0.05);
    position: sticky;
    top: 0;
    z-index: 100;
    transition: 0.3s ease;
}

nav a {
    margin: 0 15px;
    text-decoration: none;
    color: #444;
    font-size: 15px;
    transition: 0.3s;
}

nav a:hover {
    color: #0f8f45;
}

.call-btn {
    padding: 8px 20px;
    background: #0f8f45;
    border: none;
    border-radius: 6px;
    color: white;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.call-btn:hover {
    background: #0a6d33;
}

/* HERO */
.hero {
    text-align: center;
    padding: 60px 20px;
    animation: fadeUp 1s ease-out;
}

.hero h1 {
    font-size: 45px;
}

.hero h1 span {
    color: #0c0a5d;
}

/* STAT CARDS */
.stats-section {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 25px;
    padding: 40px 60px;
}

.stat-card {
    background: white;
    padding: 30px;
    border-radius: 14px;
    text-align: center;
    box-shadow: 0 3px 12px rgba(0,0,0,0.05);
    transition: 0.3s;
    cursor: pointer;
}

.stat-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 8px 20px rgba(0,0,0,0.12);
}

.stat-card h2 {
    color: #0c0a5d;
}

/* AWARDS */
.awards {
    background: linear-gradient(135deg, white,  white);
    color:black;
    padding: 50px 60px;
    border-radius: 20px;
    margin: 40px;
}

.award-cards {
    display: flex;
    margin-top: 30px;
    gap: 20px;
}

.award-box {
    flex: 1;
    padding: 25px;
    text-align: center;
    border-radius: 12px;
    background: rgba(255,255,255,0.15);
    transition: 0.3s;
}

.award-box:hover {
    transform: scale(1.05);
}

/* KEYFRAME ANIMATION */
@keyframes fadeUp {
    from { opacity: 0; transform: translateY(40px); }
    to { opacity: 1; transform: translateY(0); }
}

/* RESPONSIVE */
@media(max-width: 1100px) {
    .stats-section {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media(max-width: 700px) {
    nav {
        display: none;
    }

    .stats-section {
        grid-template-columns: 1fr;
        padding: 20px;
    }

    .award-cards {
        flex-direction: column;
    }

    .awards {
        margin: 20px;
        padding: 30px;
    }

    .hero h1 {
        font-size: 32px;
    }
}

@media(max-width: 450px) {
    .top-header {
        padding: 12px 20px;
    }

    .hero h1 {
        font-size: 28px;
    }
}

 body {
             font-family: 'Dekko', sans-serif;
            margin: 0;
            background: #f4f9f4;
            color: #0a2b4a;
        }

        .container {
            max-width: 1200px;
            margin: auto;
            padding: 50px 20px;
            display: flex;
            justify-content: space-between;
            gap: 40px;
            flex-wrap: wrap;
        }

        .left, .right {
            flex: 1;
            min-width: 320px;
        }

        h2 span {
            color: #0c0a5d;
        }

        .info-box {
            display: flex;
            align-items: center;
            gap: 15px;
            background: #ffffff;
            padding: 12px 20px;
            border-radius: 12px;
            margin-bottom: 16px;
            box-shadow: 0 3px 10px rgba(0,0,0,0.08);
        }

        .info-box i {
            font-size: 22px;
            color: #0c0a5d;
        }

        .right {
            background: linear-gradient(145deg, white, white);
            color: black;
            padding: 40px;
            border-radius: 20px;
            box-shadow: 0 4px 20px rgba(0,0,0,0.2);
        }

        .right ul {
            margin-top: 20px;
        }

        .right ul li {
            margin-bottom: 12px;
            list-style: none;
            position: relative;
            padding-left: 20px;
        }

        .right ul li::before {
            content: "✔";
            position: absolute;
            left: 0;
            color: #0c0a5d;
        }

        .btn {
            display: inline-block;

            padding: 14px 24px;
            border-radius: 10px;
            font-weight: 600;
            margin-top: 25px;
            text-decoration: none;
            transition: 0.3s;
        }

        .btn:hover {
            transform: scale(1.05);
        }